Can't update to 4.2.1 error 3014

Discussion in 'iPhone Tips, Help and Troubleshooting' started by JJBro1, Mar 17, 2011.

  1. JJBro1 macrumors regular

    Joined:
    May 17, 2009
    #1
    I'm trying to update my iphone 4 from 4.1 to 4.2.1 and it hangs when it tries to verify with apple and I get the 3014 error. Any solution?
     
  2. Matthew Yohe macrumors 68020

    Joined:
    Oct 12, 2006
    #2
    You have to update to 4.3

    Apple isn't going to allow updating to 4.2.1 anymore.
     
  3. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #3
    Apple will only let you restore or update to the latest firmware version out.
    Right now that is 4.3
    Unless you have shsh blobs saved for firmware 4.2.1 then you can restore to that using Tinyumbrella or by editing your hosts file to point to Cydias server.
     
  4. JJBro1 thread starter macrumors regular

    Joined:
    May 17, 2009
    #4
    could i updgrade to 4.3 and downgrade to 4.2.1?
     
  5. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #5
    You can never update or restore to 4.2.1 if you dont have shsh blobs saved for that firmware.
    Where you ever JB and used cydia to start saving your blobs?
    Did you ever use Tinyumbrella by any chance?
    If you're not sure go to TU's site and download and run the latest version.
    http://thefirmwareumbrella.blogspot.com/
    Then click save SHSH and it will tell you on the screen what blobs are available for your device.
    If all you're getting is 4.3 then that's all you can restore or update to.
     
  6. JJBro1 thread starter macrumors regular

    Joined:
    May 17, 2009
    #6
    I've used tinyumbrella but I'm not sure whether I was on 4.2 or 4.1. I have also ssh'ed but I was on 4.1.
     
  7. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #7
    Cool, run TU and see what blobs it got available for your phone.
    Most likelly you have 4.2.1 if you did it back when you were on 4.1
    Then you can save shsh thru TU.
    Then click start TSS server, download the 4.2.1 ipsw and shift or option restore thru itunes to that ipsw downloaded from here:
    http://www.iclarified.com/entry/index.php?enid=750
     

Share This Page